#!/usr/bin/python

###############################################################################
# NAME: new_db.py
# VERSION: 2.0.0b5 (29DECEMBER2005)
# AUTHOR: John B. Cole, PhD (jcole@aipl.arsusda.gov)
# LICENSE: LGPL
###############################################################################

from PyPedal import pyp_newclasses
from PyPedal import pyp_nrm
from PyPedal import pyp_db
from PyPedal import pyp_reports

if __name__ == '__main__':

    example = pyp_newclasses.loadPedigree(optionsfile='new_db.ini')

    pyp_nrm.inbreeding(example)
    pyp_db.tableDropTable(example.kw['database_name'], example.kw['dbtable_name'])
    pyp_db.loadPedigreeTable(example)
    mean_inbreeding = pyp_reports.meanMetricBy(example,metric='fa',byvar='by')
    print mean_inbreeding